package com.red.circle.other.app.service.activity;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.app.AppIdLongCmd;
import com.red.circle.other.app.dto.clientobject.activity.ActivityCumulativeRechargeCO;
import com.red.circle.other.app.dto.clientobject.activity.ActivityCumulativeRewardPropsCO;
import com.red.circle.other.inner.model.dto.activity.props.ActivityRewardProps;
import com.red.circle.other.inner.model.cmd.user.CumulativeRechargeCmd;
import com.red.circle.other.inner.model.dto.user.UserCustomGiftRecordDTO;
import java.util.List;

/**
 * 累计充值服务.
 *
 * @author pengliang on 2021/4/22
 */
public interface CumulativeRechargeService {

  void receiveAward(AppIdLongCmd cmd);

  ActivityCumulativeRechargeCO listRechargeReward(AppExtCommand cmd);

  List<ActivityCumulativeRewardPropsCO> listRewardPool(AppExtCommand cmd);

  ActivityRewardProps lottery(AppIdLongCmd cmd);

  UserCustomGiftRecordDTO userCustomGift(Long id);

  void uploadResource(CumulativeRechargeCmd cmd);
}
